<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:gslib="http://www.greenstone.org/XSL/Library"
exclude-result-prefixes="xalan gslib gsf xslt">


<xsl:output method="html" 
doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" 
doctype-system="http://www.w3.org/TR/html4/loose.dtd"
/>



	<!-- some global parameters - these are set by whoever is invoking the transformation -->
  <xsl:param name="interface_name"/>
  <xsl:param name="library_name"/>
  
  <!-- every pages ....................................................................... -->
  
  	<xsl:variable name="a"><xsl:value-of select="/page/pageRequest/paramList/param[@name='a']/@value"/></xsl:variable>
	<xsl:variable name="collections" select="/page/pageResponse/collectionList/collection"/>
  
    <xsl:template name="GS2LibDividerBar">
   <xsl:param name='text'/>
      <xsl:choose>
      <xsl:when test="$text">
	 <div class="divbar"><xsl:value-of select="$text"/></div>
      </xsl:when>
      <xsl:otherwise>
	 <div class="divbar"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></div>
      </xsl:otherwise>
    </xsl:choose> 
  </xsl:template>
  
    <xsl:template match="error">
    Error: <xsl:value-of select="."/>
  </xsl:template>
  
	<!-- site home ....................................................................... -->


<xsl:template name="pageTitleLanguageDependant">
 <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/><xsl:text> </xsl:text>
</xsl:template>


<xsl:template name="greenstoneLogoAlternateText">
<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
</xsl:template>


<xsl:template name="collectionLinkWithImage">
               <xsl:choose>
              <xsl:when test="displayItem[@name='icon']">
			  <a href="{$library_name}?a=p&amp;amp;sa=about&amp;amp;c={@name}">
                <img>
	           <xsl:attribute name="src">
	             <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="displayItem[@name='icon']"/>
	           </xsl:attribute>
	           <xsl:attribute name="alt">
	                <xsl:value-of select="displayItem[@name='name']"/>
	           </xsl:attribute>
	         </img> 
               </a>  
	      </xsl:when>
              <xsl:otherwise>
               <a class="noimage" href="{$library_name}?a=p&amp;amp;sa=about&amp;amp;c={@name}">  
                 <xsl:value-of select="displayItem[@name='name']"/>
               </a>
              </xsl:otherwise>
           </xsl:choose> 
</xsl:template>


  	<xsl:template name="quickSearchForm">
    <form name="QuickSearch" method="get" action="{$library_name}">
	<input type="hidden" name="a" value="q"/>
	<input type="hidden" name="rt" value="rd"/>
	<input type="hidden" name="s" value="{/page/pageResponse/serviceList/service[@name='TextQuery']/@name}"/>
	<input type="hidden" name="s1.collection" value="all"/>
	<input type="text" name="s1.query" size="20"/>
	<input type="submit" value="Quick Search"/>
    </form>
	</xsl:template>
	
	
	  <xsl:template match="serviceClusterList">
    <xsl:for-each select="serviceCluster"> 
      <a href="{$library_name}?a=p&amp;amp;sa=about&amp;amp;c={@name}"><xsl:value-of select='@name'/><xsl:value-of select="displayItem[@name='name']"/></a>
    </xsl:for-each>
  </xsl:template>
  
    <xsl:template name="test" match="pageResponse/serviceList">
      <xsl:for-each select="service[@type='query']">
      <li><a href="{$library_name}?a=q&amp;amp;rt=d&amp;amp;s={@name}"><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/>
	  </li>
      </xsl:for-each>
      <!--uncomment to display an authentication link-->
       <!--<xsl:for-each select="service[@type='authen']">
      <li><a href="{$library_name}?a=g&amp;rt=r&amp;sa=authen&amp;s={@name}&amp;s1.aup=Login&amp;s1.un=&amp;s1.asn="><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/></li>      </xsl:for-each>-->
      <!--uncomment to display a library interface link-->
      <!--<li><a href="{$library_name}?a=p&amp;sa=gli4gs3">The Librarian Interface</a></li>-->
       </xsl:template>
  
  
	<xsl:template name="poweredByGS3LanguageDependant">
            <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gs3power')"/> 
  </xsl:template>



</xsl:stylesheet>


